Create a video indexing task

This method creates a video indexing task that uploads and indexes a video.
Ensure your video meets the requirements in the Prerequisites section of the Upload single videos page.

Upload options:

  • Local file: Use the video_file parameter.
  • Publicly accessible URL: Use the video_url parameter.

NOTES:

  • The platform supports video URLs that can play without additional user interaction or custom video players. Ensure your URL points to the raw video file, not a web page containing the video. Links to third-party hosting sites, cloud storage services, or videos requiring extra steps to play are not supported.
  • This endpoint is rate-limited. For details, see the Rate limits page.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request to upload a video to an index.

string
required

The unique identifier of the index to which the video is being uploaded.

boolean
Defaults to false

A boolean value specifying whether or not you provide a transcription for this video.

file

Specify this parameter to upload a video from your local file system.

file

When the provide_transcription parameter is set to true, and you want to provide a transcription from the local file system, use the transcription_file parameter to pass your transcription file to the platform. It must be a stream of bytes encoded as multipart/form-data. The transcription must be in the SRT or VTT format.

string

Specify this parameter to upload a video from a publicly accessible URL.

string

When the provide_transcription parameter is set to true, and you want to provide a transcription from a publicly accessible URL, use the transcription_url parameter to specify the URL of your transcription. The transcription must be in the SRT or VTT format.

boolean
Defaults to true

This parameter indicates if the platform stores the video for streaming. When set to true, the platform stores the video, and you can retrieve its URL by calling the GET method of the /indexes/{index-id}/videos/{video-id} endpoint. You can then use this URL to access the stream over the HLS protocol.

Headers
string
required

Your API key.

NOTE: You can find your API key on the API Key page.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json